"plot.geno" <-
function(mcmc,nr.snp,H3D=F){
antal<-c()
mean<-c()
thres<-dim(mcmc$visit)[1]/50
if(length(nr.snp)==1){
  for(tal in 0:7){
    antal[tal+1]<-sum(ifelse(mcmc$visit[,mcmc$parameter.names[nr.snp]]==tal,1,0))
    mean[tal+1]<-signif(sum(ifelse(mcmc$visit[,mcmc$parameter.names[nr.snp]]==tal,mcmc$visit[,"mean"],0))/antal[tal+1],4)
  }
name<-c("NV","wt","he","ho","all","wt/he","he/ho","wt/ho")
barplot(antal,names.arg=name)

for(tal2 in 1:length(antal)){
  if(antal[tal2]<thres){
    mean[tal2]<-""
  }
}

for(tal2 in 1:length(antal)){
text(0.7+(tal2-1)*1.2,antal[tal2],mean[tal2])
}

}
else if(length(nr.snp)==2){
 if(H3D)
 library(djmrgl)
SNP1<-factor(mcmc$visit[,mcmc$parameter.names[nr.snp[1]]],levels=0:7,labels=c("NV","wt","he","ho","all","wt/he","he/ho","wt/ho"))
SNP2<-factor(mcmc$visit[,mcmc$parameter.names[nr.snp[2]]],levels=0:7,labels=c("NV","wt","he","ho","all","wt/he","he/ho","wt/ho"))
print(table(SNP1,SNP2))
keep <- !apply(mcmc$visit[,c(mcmc$parameter.names[nr.snp[1]],mcmc$parameter.names[nr.snp[2]])]==0, 1, any)
 if(H3D)
 hist3d(mcmc$visit[keep,mcmc$parameter.names[nr.snp[1]]],mcmc$visit[keep,mcmc$parameter.names[nr.snp[2]]])
}


}

