"plot.like" <-
function(mcmc,burnin=0,cum=F,ylab="Likelihood score",main="Sampled likelihood scores",xlab="Iterations",by=100,...){

burnin=burnin/mcmc$thinning
if(!cum){#plot like
 if(burnin==0)
   plot(mcmc$info[,"iter"],mcmc$info[,"like"],ylab=ylab,xlab=xlab,main=main,...)
 else
   plot(mcmc$info[-c(0:burnin),"iter"],mcmc$info[-c(0:burnin),"like"],ylab=ylab,xlab=xlab,main=main,...)
}
else{
 mean<-c()
 number<-seq(1,dim(mcmc$info)[1],by=dim(mcmc$info)[1]/by)
 for(tal in 1:length(number))
  mean[tal]<-mean(mcmc$info[1:number[tal],"like"])

 plot(mcmc$info[number,"iter"],mean,ylab=ylab,xlab=xlab,main=main,...)
}

}

