"plot.misc" <-
function(mcmc_1,mcmc_2=NULL,var=c("like","var","mean","nr_r"),main=NULL,...){

if(is.null(main)){
 if(var[1]=="like")
  main[1]<-"likelihood score"
 if(var[2]=="var")
  main[2]<-"variance"
 if(var[3]=="mean")
  main[3]<-"The mean for the G0"
 if(var[4]=="nr_r")
  main[4]<-"Number or risk sets"
}
  

if(length(var)==2)
par(mfcol=1:2)
else if(length(var)==3|length(var)==4)
par(mfcol=c(2,2))
else if(length(var)==5|length(var)==6)
par(mfcol=c(3,2))
else if(length(var)==7|length(var)==8)
par(mfcol=c(4,2))


for(tal in 1:length(var)){
min<-min(mcmc_1$info[,var[tal]],mcmc_2$info[,var[tal]])
max<-max(mcmc_1$info[,var[tal]],mcmc_2$info[,var[tal]])
plot(mcmc_1$info[,var[tal]],type="l",ylim=c(min,max),main=main[tal],...)
if(!is.null(mcmc_2))
   lines(mcmc_2$info[,var[tal]],col=2,...)
print(tal)
}

}

