"print.BAMSE" <-
function(x){
   if (!inherits(x, "BAMSE")) 
        stop("Not an object of class BAMSE!")

cat("-------The Data-----")
    print(structure(list(data.file = x$file, result.file = x$name,"number of SNPs"=x$snp,"number of environmental factors"=x$env,"number of adjusment factors"=x$adj,"number of individuals"=x$individuals), class = "power.htest"))

cat("-------MCMC settings-----")
 print(structure(list(run.time = x$runtime, pre.removed.burnin=x$burnin,"The thinning rate"=x$thinning), class = "power.htest"))

cat("-------Priors-----")
print(structure(list(kappa=x$kappa,"kappa multiplied"=x$kappa.multi,"mean of risk sets"=paste(x$mu,"(",x$mid,")",sep=""),"active parameters"=paste(x$min.active,"-",x$max.active,sep=""),"number of risk sets"=paste(x$min.risksets,"-",x$max.risksets,sep=""),"prior for the number of active parameter"=paste("Geo(",x$prior.active.parameters,")",sep=""),"prior for the number of risk sets"=paste("Geo(",x$prior.riskset,")",sep="")), class = "power.htest"))

#cat("-------Results-----\n")
#print(structure(list(), class = "power.htest"))


}

