 
visit2<-function (mcmc, burnin=0,SNP = NULL,plot=T,only=F,...){
   post <- c()
   visit<-mcmc$visit[mcmc$visit$iter>burnin,]
    if(!is.null(SNP))
      for(tal in 1:length(SNP)){
        keep<-!is.na(visit[,SNP[tal]])
        visit<-visit[keep,]
      }  
  iter<-mcmc$sampels-burnin/mcmc$thinning
  t<-c()
  if(only){
    keep<-apply(!is.na(visit[,1:mcmc$snp]),1,sum)==1
    visit<-visit[keep,]
  }
  for(tal in 1:mcmc$snp)
    t<-cbind(t,tapply(!is.na(visit[,tal]),visit$iter,any))
  post<-apply(t,2,sum)/iter
  if(plot)
    barplot(post, names.arg = 1:1:mcmc$snp, ylab = "posterior",...)
  names(post)<-paste("SNP",1:mcmc$snp,sep="") 
  invisible(post)
}


