"mcmc.diag" <-
function(mcmc1,mcmc2,burnin=50000){
library(coda)
burnin=burnin/mcmc1$thinning

adj.names<-NULL
if(mcmc1$adj!=0)
adj.names<-paste("adj",1:mcmc1$adj,sep="")

L<-mcmc.list(mcmc(mcmc1$info[,c("var","mean","nr_r",adj.names)],start=burnin),mcmc(mcmc2$info[,c("var","mean","nr_r",adj.names)],start=burnin))
gelman.plot(L)
gelman.diag(L)

}

