"plot.geno.mean" <-
function(nr.snp){
res_snp<-c(4,6,7,5,0,3,1,2)
antal<-c()
mean<-c()
thres<-dim(mcmc$visit)[1]/50
if(length(nr.snp)==1){
  for(tal in 0:7){
    antal[tal+1]<-sum(ifelse(mcmc$visit[,mcmc$parameter.names[nr.snp]]==tal&mcmc$visit[,mean0]<mcmc$visit[,mean1],1,0))
antal[tal+1]<-antal[tal+1]+sum(ifelse(mcmc$visit[,mcmc$parameter.names[nr.snp]]==res_snp[tal+1]&mcmc$visit[,mean0]>mcmc$visit[,mean1],1,0))
  mean[tal+1]<-sum(ifelse(mcmc$visit[,mcmc$parameter.names[nr.snp]]==tal&mcmc$visit[,mean0]<mcmc$visit[,mean1],mcmc$visit[,mean1],0))
   mean[tal+1]<-signif((mean[tal+1]+sum(ifelse(mcmc$visit[,mcmc$parameter.names[nr.snp]]==res_snp[tal+1]&mcmc$visit[,mean0]>mcmc$visit[,mean1],mcmc$visit[,mean0],0)))/antal[tal+1],4)
  }

name<-c("NV","wt","he","ho","all","wt/he","he/ho","wt/ho")
barplot(antal,names.arg=name)

for(tal2 in 1:length(antal)){
  if(antal[tal2]<thres){
    mean[tal2]<-""
  }
}

for(tal2 in 1:length(antal)){
text(0.7+(tal2-1)*1.2,antal[tal2]/2,mean[tal2])
}

}
else if(length(nr.snp)==2){
 library(djmrgl)
keep <- !apply(mcmc$visit[,c(mcmc$parameter.names[nr.snp[1]],mcmc$parameter.names[nr.snp[2]])]==0, 1, any)
SNP1<-ifelse(mcmc$visit[keep,mean1]>mcmc$visit[keep,mean0],mcmc$visit[keep,mcmc$parameter.names[nr.snp[1]]],res_snp[mcmc$visit[keep,mcmc$parameter.names[nr.snp[1]]]+1])
SNP2<-ifelse(mcmc$visit[keep,mean1]>mcmc$visit[keep,mean0],mcmc$visit[keep,mcmc$parameter.names[nr.snp[2]]],res_snp[mcmc$visit[keep,mcmc$parameter.names[nr.snp[2]]]+1])
SNP1_fac<-factor(SNP1,levels=0:7,labels=c("NV","wt","he","ho","all","wt/he","he/ho","wt/ho"))
SNP2_fac<-factor(SNP2,levels=0:7,labels=c("NV","wt","he","ho","all","wt/he","he/ho","wt/ho"))
print(table(SNP1_fac,SNP2_fac))
 hist3d(SNP1,SNP2,col="orange")
}

}

