\name{plot.standard}
\alias{plot.standard}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Displays the main result of the BAMSE method }
\description{
Displays the trace of the likelihood score before and after removing the burnin, displays the posterior distribution of the number of risk sets and the posterior probabilities of the different risk set component for being part of a risk set
}
\usage{
plot.standard(mcmc, burnin, ...)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{mcmc}{ An MCMC object }
  \item{burnin}{ Integer. The burnin }
  \item{\dots}{ options for the plot and barplot functions }
}
\author{Anders Albrechtsen }
\examples{
## The function is currently defined as
function(mcmc,burnin,...){
par(mfcol=c(2,2))
plot.like(mcmc,...)
plot.like(mcmc,burnin,...) 
plot.riskset(mcmc,T,burnin,...)
plot.visit(mcmc,burnin,post=T,main="Parameters visitet",ylab="posterior probabilty for 
being part of a riskset",...)
  }
}
\keyword{ hplot }% at least one, from doc/KEYWORDS

